Error 'One or more Machine Plans within the DeploymentPlan failed' installing Webform Server 3.5.1 fix pack 2

Technote (troubleshooting)


Problem

When installing Lotus Forms Webform Server 3.5.1 fix pack 2, the following error occurs:

"One or more Machine Plans within the DeploymentPlan failed."


Symptom

A more complete log extract is as follows:

Fri Jan 08 13:34:33.247 GMT 2010 : FINE : COIEventType.ERROR reported (from com.ibm.ac.coi.ext.ia.COIWrapperPluginImpl.install)
Fri Jan 08 13:34:33.250 GMT 2010 : STDERR : com.ibm.ac.coi.ext.ia.
COIWrapperException: COIEventType.ERROR reported
Fri Jan 08 13:34:33.252 GMT 2010 : STDERR : at com.ibm.ac.coi.ext.ia.COIWrapperPluginImpl$SimpleListener.
eventOccurred(COIWrapperPluginImpl.java:116)
-
-
Fri Jan 08 13:34:33.268 GMT 2010 : STDERR : at java.lang.Thread.run(Thread.java:801)
Fri Jan 08 13:34:33.270 GMT 2010 : STDERR : Caused by:
Fri Jan 08 13:34:33.272 GMT 2010 : STDERR : com.ibm.ac.coi.api.exception.DeploymentPlanExecutionException:
One or more Machine Plans within the DeploymentPlan failed. Failure count = 1
Fri Jan 08 13:34:33.275 GMT 2010 : STDERR : at com.ibm.ac.coi.impl.utils.ParallelPlanListener.
eventOccurred(ParallelPlanListener.java:92)
-
-

Cause

The install was being done on a 64-bit WebSphere Application Server, which is not supported.

Diagnosing the problem

Looking in the SystemOut.log of the WebSphere Application Server provides details on the version of the operating system. You also have the option of running the command to check the Java version as follows:

java -version

The result displays the Java version being used by WebSphere Application Server.

Below is an example of two outputs from a java -version command from two AIX operating systems. The ppc-32 indicates a 32-bit version of Java, while the ppc-64 indicates a 64-bit version of Java. Lotus Forms Webform Server works on the 32-bit version but not the 64-bit version.

J2RE 1.5.0 IBM J9 2.3 AIX ppc-32 j9vmap3223-20080315 (JIT enabled)
J2RE 1.5.0 IBM J9 2.3 AIX ppc64-64 j9vmap6423-20080315 (JIT enabled)


Resolving the problem

Install Webform Server on a 32-bit version WebSphere Application Server only for versions 3.5.1 fix pack 2 and earlier. Version 4.x and greater are supported on 64-bit platforms.

For more information on determining the JVM version, see Collecting Data: How to determine version information for Lotus Forms.


Related information

Lotus Forms Support
Lotus Forms Wiki


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

IBM Forms Server
Installation

Software version:

3.0, 3.5, 3.5.1, 3.5.1.2

Operating system(s):

AIX, Linux, Solaris, Windows

Reference #:

1439249

Modified date:

2010-11-18

Translate my page

Machine Translation

Content navigation